<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

function haup_re_register_post_tag_taxonomy() {

	$tag_slug_args = get_taxonomy('post_tag'); // returns an object
	$tag_slug_args -> hierarchical = true;
	$tag_slug_args -> meta_box_cb = 'post_categories_meta_box';
	
	register_taxonomy( 'post_tag', 'post',(array) $tag_slug_args);
}
add_action( 'init', 'haup_re_register_post_tag_taxonomy', 1 );